Skip to main content
POST
/
public-api
/
escalate-to-neo-team
Escalate to the Neo team
curl --request POST \
  --url https://api.neoagent.io/public-api/escalate-to-neo-team \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "details": "<string>",
  "summary": "<string>",
  "chat_session_id": "<string>",
  "execution_id": "<string>",
  "requester_user_id": "<string>"
}
'
{
  "data": {
    "ticket_id": "<string>",
    "ticket_url": "<string>"
  },
  "meta": {
    "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "timings_ms": {},
    "pagination": {
      "has_more": true,
      "next_cursor": "<string>"
    },
    "warnings": [
      "<string>"
    ]
  }
}

Authorizations

Authorization
string
header
required

Authorization: Bearer <token> where <token> is either a neo_sk_<env>_<secret> API key (service account) or a Microsoft Entra ID access token (dashboard user).

Body

application/json
details
string
required
Required string length: 1 - 20000
summary
string
required
Required string length: 1 - 300
chat_session_id
string | null
execution_id
string | null
requester_user_id
string | null

Response

Success.

data
EscalateToNeoTeamResponse · object
required
meta
object
required